static String fallback[] = {    /* fallback resources */

  /* --- general resources --- */
  /* "*font: -adobe-helvetica-bold-r-normal--12-120-75-75-p-70-iso8859-1", */
  "*font: -misc-fixed-bold-r-normal--13-120-75-75-c-70-iso8859-1",
  "*XPtlView.title:             XPtlView",
  "*main.background:            rgb:ef/ef/ef",
  "*main*foreground:            Black",
  "*view.background:            White",

  /* --- menu resources --- */
  "*menuBar*background:         rgb:ef/ef/ef",
  "*menuBar*foreground:         Black",

  "*menuBar.file.label:         File",
  "*file.ld_ptlset.label:       Load Cluster Set...",
  "*file.ld_data.label:         Load Data...",
  "*file.format.label:          Data Format...",
  "*file.quit.label:            Quit",

  "*menuBar.actions.label:      Actions",
  "*actions.redraw.label:       Redraw",
  "*actions.atts.label:         Attributes...",
  "*actions.colors.label:       Colors...",
  "*actions.marks.label:        Markers...",
  "*actions.ngbors.label:       Neighbors...",

  "*menuBar.help.label:         Help",
  "*help.about.label:           About XPtlView...",

  "*menuBar.accelerators:"
    "<Key>l: ld_ptlset()\\n"    /* File    > Load Cluster Set... */
    "<Key>d: ld_data()\\n"      /* File    > Load Data... */
    "<Key>s: format()\\n"       /* File    > Data Format... */
    "<Key>q: quit()\\n"         /* File    > Quit */
    "<Key>r: redraw()\\n"       /* Actions > Redraw */
    "<Key>t: atts()\\n"         /* Actions > Attributes... */
    "<Key>c: colors()\\n"       /* Actions > Colors... */
    "<Key>m: marks()\\n"        /* Actions > Markers... */
    "<Key>n: ngbors()\\n"       /* Actions > Neighbors... */
    "<Key>a: about()",          /* Help    > About XPtlView... */

  /* --- dialog box resources --- */
  "*form.background:            rgb:ef/ef/ef",
  "*form*foreground:            Black",
  "*Label.background:           rgb:ef/ef/ef",
  "*Command.background:         rgb:ef/ef/ef",
  "*Button.background:          rgb:ef/ef/ef",
  "*Toggle.background:          White",
  "*MenuButton.background:      White",
  "*SimpleMenu.background:      White",
  "*List*background:            White",
  "*Viewport*background:        White",
  "*Text.width:                 60",
  "*Text*background:            White",
  "*Text.translations:#override:"
    "<Key>Delete: delete-next-character()\\n"
    "<Key>Home  : beginning-of-line()\\n"
    "<Key>End   : end-of-line()\\n"
    "<Key>Return: db_close(ok)\\n"
    "!Alt<Key>o : db_close(ok)\\n"
    "!Alt<Key>c : db_close(cancel)",

  "*alertDlg.title:             Alert",

  "*aboutDlg.title:             About XPtlView...",
  "*aboutDlg*info.label:"
    "XPtlView\\n"
    "Prototype-less Cluster Visualization Program\\n"
    "Version 2.1, 2018.10.18\\n\\n"
    "written by Christian Borgelt\\n"
    "Paris Lodron University of Salzburg\\n"
    "Hellbrunnerstrasse 34\\n"
    "A-5020 Salzburg, Austria\\n"
    "e-mail: christian@borgelt.net",

  "*listView.background:        rgb:ef/ef/ef",
  "*pathLabel.label:            Directory/Filter",
  "*listLabel.label:            Files",
  "*update.label:               Update",
  "*fileLabel.label:            Selection",

  "*ok.label:                   Ok",
  "*cancel.label:               Cancel",
  "*dismiss.label:              Dismiss",
  "*ok.accelerators:            !Alt<Key>o: set()notify()unset()",
  "*cancel.accelerators:        !Alt<Key>c: set()notify()unset()",

  "*textDlg.title:              Parse errors",

  /* --- separators dialog box resources --- */
  "*fmtDlg.title:               Data Format...",
  "*fmtDlg*lnames.label:        Field/columns names:",
  "*fmtDlg*names.no.label:        no",
  "*fmtDlg*names.yes.label:       yes",
  "*fmtDlg*lrecord.label:       Record separators:",
  "*fmtDlg*lfield.label:        Field separators:",
  "*fmtDlg*lblank.label:        Blank characters:",
  "*fmtDlg*lnull.label:         Null value characters:",
  "*fmtDlg*lcomment.label:      Comment characters:",

  /* --- attributes dialog box resources --- */
  "*attDlg.title:               Attributes...",
  "*attDlg*lh.label:            horizontal",
  "*attDlg*lv.label:            vertical",
  "*attDlg*lh_min.label:        min:",
  "*attDlg*lh_max.label:        max:",
  "*attDlg*lv_min.label:        min:",
  "*attDlg*lv_max.label:        max:",

  /* --- Colors dialog box resources --- */
  "*colorsDlg.title:            Colors...",
  "*colorsDlg*lmode.label:      Shading mode:",
  "*colorsDlg*mode.color.label:   color",
  "*colorsDlg*mode.grey.label:    grey",
  "*colorsDlg*lcoloff.label:    Color offset (angle):",
  "*colorsDlg*lbase.label:      Shade from:",
  "*colorsDlg*base.black.label:   black",
  "*colorsDlg*base.white.label:   white",
  "*colorsDlg*lshdcnt.label:    Number of shades:",

  /* --- Markers dialog box resources --- */
  "*marksDlg.title:             Markers...",
  "*marksDlg*lsize.label:       Marker size:",
  "*marksDlg*lborder.label:     Marker border:",
  "*marksDlg*border.black.label:  black",
  "*marksDlg*border.white.label:  white",

  /* --- Neighbors dialog box resources --- */
  "*ngborsDlg.title:            Neighbors...",
  "*ngborsDlg*lnbcnt.label:     Number of neighbors:",
  "*ngborsDlg*lgraph.label:     Neighborhood graph:",
  "*ngborsDlg*graph.no.label:     no",
  "*ngborsDlg*graph.yes.label:    yes",

  NULL };
